package com.samples.infragistics.gridformatting;

import com.infragistics.controls.IGCellPath;
import com.infragistics.controls.IGColumnDefinition;
import com.infragistics.controls.IGGridView;
import com.infragistics.controls.IGGridViewCell;
import com.infragistics.controls.IGListAdapter;

import java.text.SimpleDateFormat;
import java.util.Calendar;

public class CustomNumericColumn extends IGColumnDefinition {
    private String _format = "%d";
    public String getFormat() {
        return _format;
    }
    public String setFormat(String value) {
        _format = value;
        return value;
    }

    public CustomNumericColumn(String key) {
        super(key);
    }

    @Override
    protected IGGridViewCell getCell(IGGridView igGridView, IGListAdapter igListAdapter, IGCellPath igCellPath) {
        IGGridViewCell cell = (IGGridViewCell)igGridView.dequeueCellById("textCell");
        if (cell == null) {
            cell = new IGGridViewCell(igListAdapter.getContext(), "textCell");
        }

        String formattedText = String.format(_format, igListAdapter.resolveValue(igCellPath));
        cell.getTextView().setText(formattedText);

        return cell;
    }
}
