package com.samples.infragistics.gridformatting;

import android.support.v4.app.Fragment;
import android.os.Bundle;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.RelativeLayout;

import com.infragistics.controls.IGGridView;
import com.infragistics.controls.IGListAdapter;
import com.infragistics.controls.IGTextColumn;


/**
 * A placeholder fragment containing a simple view.
 */
public class MainActivityFragment extends Fragment {

    public MainActivityFragment() {
    }

    @Override
    public View onCreateView(LayoutInflater inflater, ViewGroup container,
                             Bundle savedInstanceState) {
        View rootView = inflater.inflate(R.layout.fragment_main, container, false);
        RelativeLayout mainLayout = (RelativeLayout)rootView.findViewById(R.id.mainLayout);

        GridData data = new GridData();

        IGGridView grid = new IGGridView(rootView.getContext());
        IGListAdapter adapter = new IGListAdapter(rootView.getContext());
        adapter.setDataSource(data);

        CustomNumericColumn valColumn = new CustomNumericColumn("Value");
        valColumn.setFormat("%.3f");
        adapter.addColumnDefinition(valColumn);

        CustomDateColumn dateColumn = new CustomDateColumn("Date");
        dateColumn.setFormat("yyyy-MM-dd");
        adapter.addColumnDefinition(dateColumn);

        grid.setAdapter(adapter);

        mainLayout.addView(grid);
        return rootView;
    }
}
